Class Index | File Index

## Classes

- _global_
- Array
- fabric.Circle
- fabric.Color
- fabric.Element
- fabric.Element#cache
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle
- fabric.util
- fabric.util.array
- fabric.util.object
- fabric.util.string
- Function
- String

# Class fabric.PathGroup

Extends fabric.Path.
PathGroup
Defined in: path_group.class.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric.PathGroup()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| forceFillOverwrite
| type

Fields borrowed from class fabric.Object:
  FX_DURATION, FX_TRANSITION, includeDefaultValues, MIN_SCALE_LIMIT, NUM_FRACTION_DIGITS, options, rotate, stateProperties

Method Summary
Method Attributes | Method Name and Description
--- | ---
| complexity() Returns number representation of object's complexity
<static> | fabric.PathGroup.fromObject(object)
| getObjects()
| initialize(paths, options) Constructor
| initProperties()
| isSameColor()
| render(ctx)
| set(prop, value)
| toDatalessObject()
| toGrayscale() Makes path group grayscale
| toObject()
| toString() Returns a string representation of an object

Methods borrowed from class fabric.Object:
  callSuper, clone, cloneAsImage, drawBorders, drawCorners, fxRemove, fxStraighten, get, getAngle, getCenter, getHeight, getWidth, hasStateChanged, intersectsWithObject, intersectsWithRect, isActive, isContainedWithinRect, isType, saveState, scale, scaleToHeight, scaleToWidth, setActive, setAngle, setCoords, setOpacity, setOptions, setSourcePath, straighten, toDataURL, toggle, toJSON, transform

Class Detail
fabric.PathGroup()
Field Detail
{Boolean} forceFillOverwrite

{String} type
Method Detail
{Number} complexity()
Returns number representation of object's complexity

Returns:
  {Number} complexity

<static> {fabric.PathGroup} fabric.PathGroup.fromObject(object)

Parameters:
{Object} object

Returns:
  {fabric.PathGroup}

{Array} getObjects()

Returns:
  {Array} array of path objects included in this path group

{fabric.PathGroup} initialize(paths, options)
Constructor

Parameters:
{Array} paths
{Object} options Optional
  Options object

Returns:
  {fabric.PathGroup} thisArg

initProperties()

{Boolean} isSameColor()

Returns:
  {Boolean} true if all paths are of the same color (`fill`)

render(ctx)

Parameters:
ctx

{fabric.PathGroup} set(prop, value)

Parameters:
{String} prop
{Any} value

Returns:
  {fabric.PathGroup} thisArg

{Object} toDatalessObject()

Returns:
  {Object} dataless object representation of an instance

{fabric.PathGroup} toGrayscale()
Makes path group grayscale

Returns:
  {fabric.PathGroup} thisArg

{Object} toObject()

Returns:
  {Object} object representation of an instance

{String} toString()
Returns a string representation of an object

Returns:
  {String} string representation of an object

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 21:41:43 GMT-0400 (EDT)